org.eclipse.microprofile.rest.client.tck.providers

## Class TestClientRequestFilter

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.TestClientRequestFilter

All Implemented Interfaces:
  jakarta.ws.rs.client.ClientRequestFilter

    public class TestClientRequestFilter
    extends Object
    implements jakarta.ws.rs.client.ClientRequestFilter

### Constructor Summary

Constructors
Constructor and Description
`TestClientRequestFilter()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `filter(jakarta.ws.rs.client.ClientRequestContext clientRequestContext)`
`static int` `getAndResetValue()`
`static int` `getValue()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestClientRequestFilter

    public TestClientRequestFilter()

### Method Detail

#### filter

    public void filter(jakarta.ws.rs.client.ClientRequestContext clientRequestContext)
                throws IOException

Specified by:
  `filter` in interface `jakarta.ws.rs.client.ClientRequestFilter`
Throws:
  `IOException`

#### getValue

    public static int getValue()

#### getAndResetValue

    public static int getAndResetValue()